: Class MailUtil

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ts.biff
Class MailUtil

    java.lang.Object
      |
      +--ts.biff.MailUtil

public final class MailUtil
extends java.lang.Object

This class contains a collection of methods for handling mail messages.

Version:
  $Id: MailUtil.java,v 1.2 1999/11/26 00:30:34 hauk Exp $
Author:
  Jan-Henrik Haukeland <hauk@tildeslash.com>

Method Summary
`static FetchAgent` | `getFetchAgent()` Get user prefered Fetch Agent
`static java.util.Vector` | `getMail(java.util.Vector mailmodels)` This method parses the submited Vector with MailModel objects and extract and returns those fields that we are interested in.
`static java.lang.String[]` | `getSelectedHeaderFields()` Returns a String array with only valid wanted mail header fields read from Config.
`static java.util.Vector` | `getTableTitles()` Return User prefered MailTable Header fields.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFetchAgent

    public static FetchAgent getFetchAgent()
                                    throws ConfigException

  Get user prefered Fetch Agent
  Returns:
    FetchAgent
  Throws:
    `ConfigException` - If invalid protocol

### getSelectedHeaderFields

    public static java.lang.String[] getSelectedHeaderFields()

  Returns a String array with only valid wanted mail header fields read from Config. If an invalid field was found print a warning.
  Returns:
    a String array with guaranteed valid mail header fields

### getTableTitles

    public static java.util.Vector getTableTitles()

  Return User prefered MailTable Header fields. This method and the method below getMail must match exactly the fields extracted.
  Returns:
    A vector containing user prefered header fields

### getMail

    public static java.util.Vector getMail(java.util.Vector mailmodels)

  This method parses the submited Vector with MailModel objects and extract and returns those fields that we are interested in.
  Parameters:
    `mailmodels` - A Vector containing MailModel objects
  Returns:
    A Vector with Field values that could be used by a TsTableModel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ## TsBiff 1.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD